GlueGen: com.jogamp.gluegen.GlueEmitterControls Interface Reference

GlueGen v2.6.0-rc-20250712 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.gluegen.GlueEmitterControls Interface Reference

Specifies the interface by which a GlueEmitter can request additional information from the glue generator. More...

Inheritance diagram for com.jogamp.gluegen.GlueEmitterControls:
Collaboration diagram for com.jogamp.gluegen.GlueEmitterControls:

## Public Member Functions

void | forceStructEmission (String typedefName)
| Requests emission of an accessor for a struct that will not be referenced by any functions or other structs. More...
String | findHeaderFile (String headerFileName)
| Finds the full path name of the specified header file based on the include directories specified on the command line. More...
void | runSymbolFilter (SymbolFilter filter)
| Runs the given filter on the #defines, enum definitions and function symbols that this controller has parsed. More...

## Detailed Description

Specifies the interface by which a GlueEmitter can request additional information from the glue generator.

Definition at line 45 of file GlueEmitterControls.java.

## Member Function Documentation

## ◆ findHeaderFile()

String com.jogamp.gluegen.GlueEmitterControls.findHeaderFile | ( | String | headerFileName | ) |

Finds the full path name of the specified header file based on the include directories specified on the command line.

Implemented in com.jogamp.gluegen.GlueGen.

## ◆ forceStructEmission()

void com.jogamp.gluegen.GlueEmitterControls.forceStructEmission | ( | String | typedefName | ) |

Requests emission of an accessor for a struct that will not be referenced by any functions or other structs.

Implemented in com.jogamp.gluegen.GlueGen.

## ◆ runSymbolFilter()

void com.jogamp.gluegen.GlueEmitterControls.runSymbolFilter | ( | SymbolFilter | filter | ) |

Runs the given filter on the #defines, enum definitions and function symbols that this controller has parsed.

It is valid to call this method as soon as `GlueEmitter#beginEmission` has been called on the GlueEmitter, and it is recommended to call it from that method call. Calling it during glue code emission may cause problems.

Implemented in com.jogamp.gluegen.GlueGen.

The documentation for this interface was generated from the following file:

- src/java/com/jogamp/gluegen/GlueEmitterControls.java